VERSION 1.0 CLASS
BEGIN
MultiUse = -1 'True
END
Attribute VB_Name = "ThisOutlookSession"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = True
'myInspector
Option Explicit

Dim WithEvents oAppInspectors As Outlook.Inspectors
Attribute oAppInspectors.VB_VarHelpID = -1
Dim WithEvents oMailInspector As Outlook.Inspector
Attribute oMailInspector.VB_VarHelpID = -1
Dim WithEvents oOpenMail As Outlook.MailItem
Attribute oOpenMail.VB_VarHelpID = -1
Private Sub Application_Startup()
Set oAppInspectors = Application.Inspectors
Dim objMyInbox As Outlook.MAPIFolder
Set objNS = Application.GetNamespace("MAPI")
Set objMyInbox = objNS.GetDefaultFolder(olFolderInbox)
Set objNewMailItems = objMyInbox.Items
Set objMyInbox = Nothing
End Sub

Private Sub Application_Quit()

End Sub

Private Sub oAppInspectors_NewInspector(ByVal Inspector As Inspector)

If Inspector.CurrentItem.Class <> olMail Then
Exit Sub
End If

Set oOpenMail = Inspector.CurrentItem
Set oMailInspector = Inspector
End Sub

Private Sub oOpenMail_Open(Cancel As Boolean)

Dim i As Integer
Dim deli As Integer
deli = 0
For i = 1 To oOpenMail.Recipients.Count
If oOpenMail.Recipients.Item(i).Name = "!" Then
deli = i
End If
Next

If deli <> 0 Then
oOpenMail.Recipients.Remove (deli)
End If

'On Error Resume Next
'oOpenMail.SentOnBehalfOfName = "!!"
'oOpenMail.BCC = " "
'On Error GoTo 0
End Sub

Private Sub oOpenMail_Close(Cancel As Boolean)
Set oOpenMail = Nothing
End Sub

Private Sub Application_ItemSend(ByVal Item As Object, _
Cancel As Boolean)
Dim objNS As NameSpace
Dim objFolder As MAPIFolder
Set objNS = Application.GetNamespace("MAPI")
Set objFolder = objNS.PickFolder
If TypeName(objFolder) <> "Nothing" And _
IsInDefaultStore(objFolder) Then
Set Item.SaveSentMessageFolder = objFolder
End If
Set objFolder = Nothing
Set objNS = Nothing
End Sub

Public Function IsInDefaultStore(objOL As Object) As Boolean
Dim objApp As Outlook.Application
Dim objNS As Outlook.NameSpace
Dim objInbox As Outlook.MAPIFolder
On Error Resume Next
Set objApp = CreateObject("Outlook.Application")
Set objNS = objApp.GetNamespace("MAPI")
Set objInbox = objNS.GetDefaultFolder(olFolderInbox)
Select Case objOL.Class
Case olFolder
'If objOL.StoreID = objInbox.StoreID Then
IsInDefaultStore = True
'End If
Case olAppointment, olContact, olDistributionList, _
olJournal, olMail, olNote, olPost, olTask
If objOL.Parent.StoreID = objInbox.StoreID Then
IsInDefaultStore = True
End If
Case Else
MsgBox "This function isn't designed to work " & _
"with " & TypeName(objOL) & _
" items and will return False.", _
, "IsInDefaultStore"
End Select
Set objApp = Nothing
Set objNS = Nothing
Set objInbox = Nothing
End Function

Option Explicit
Private objNS As Outlook.NameSpace
Private WithEvents objNewMailItems As Outlook.Items

Private Sub Application_Startup()
Dim objMyInbox As Outlook.MAPIFolder
Set objNS = Application.GetNamespace("MAPI")
Set objMyInbox = objNS.GetDefaultFolder(olFolderInbox)
Set objNewMailItems = objMyInbox.Items
Set objMyInbox = Nothing
Dim objMyInbox As Outlook.MAPIFolder
End Sub

Private Sub objNewMailItems_ItemAdd(ByVal Item As Object)
  Dim myAttachments  As Attachments
  Dim lngAttachmentCount  As Long
  Dim i As Long
Set myAttachments = Item.Attachments
  lngAttachmentCount = myAttachments.Count
If lngAttachmentCount = 0 Then Exit Sub

  ' Loop through attachments until attachment count = 0.
  For i = lngAttachmentCount To 1 Step -1
  If Left(lcase(myAttachments(i).FileName), 3) = "att" Then
  myAttachments(i).Delete
  End If
  Next i
  Item.Save
End Sub